# Uses of Class
ij.measure.ResultsTable

Packages that use ResultsTable
Package
Description
ij.gui
ij.macro
ij.measure
ij.plugin
ij.plugin.filter
ij.plugin.frame
ij.text

## Uses of ResultsTable in ij.gui

Methods in ij.gui that return ResultsTable
Modifier and Type
Method
Description
`ResultsTable`
HistogramWindow.`getResultsTable()`
Returns the histogram values as a ResultsTable.
`ResultsTable`
Plot.`getResultsTable()`
Creates a ResultsTable with the plot data.
`ResultsTable`
Plot.`getResultsTable(boolean writeFirstXColumn)`
Creates a ResultsTable with the data of the plot.
`ResultsTable`
PlotWindow.`getResultsTable()`
Returns the plot values with simple headings (X, Y, Y1 etc, not the labels) as a ResultsTable.
`ResultsTable`
Plot.`getResultsTableWithLabels()`
Creates a ResultsTable with the data of the plot.
`ResultsTable`
Overlay.`measure(ImagePlus imp)`
Measures the ROIs in this overlay on the specified image and returns the results as a ResultsTable.
Constructors in ij.gui with parameters of type ResultsTable
Modifier
Constructor
Description
``
`PlotContentsDialog(String title, ResultsTable rt)`
Prepares a new PlotContentsDialog for creating a new plot using data from a ResultsTable.

## Uses of ResultsTable in ij.macro

Methods in ij.macro with parameters of type ResultsTable
Modifier and Type
Method
Description
`void`
Interpreter.`setApplyMacroTable(ResultsTable rt)`

## Uses of ResultsTable in ij.measure

Methods in ij.measure that return ResultsTable
Modifier and Type
Method
Description
`static ResultsTable`
ResultsTable.`createTableFromImage(ImageProcessor ip)`
Creates a ResultsTable from an image or image selection.
`static ResultsTable`
ResultsTable.`getActiveTable()`
Returns the active (front most) displayed ResultsTable.
`static ResultsTable`
ResultsTable.`getResultsTable()`
Returns the ResultsTable used by the Measure command.
`static ResultsTable`
ResultsTable.`getResultsTable(String title)`
Returns the ResultsTable with the specified title, or null if it does not exist,
`static ResultsTable`
ResultsTable.`open(String path)`
Opens a tab or comma delimited text file and returns it as a ResultsTable.
`static ResultsTable`
ResultsTable.`open2(String path)`
Opens a tab or comma delimited text file and returns it as a ResultsTable, without requiring a try/catch statement.
Constructors in ij.measure with parameters of type ResultsTable
Modifier
Constructor
Description
``
`ResultsTableMacros(ResultsTable rt)`

## Uses of ResultsTable in ij.plugin

Methods in ij.plugin with parameters of type ResultsTable
Modifier and Type
Method
Description
`void`
Distribution.`run(ResultsTable rt)`

## Uses of ResultsTable in ij.plugin.filter

Fields in ij.plugin.filter declared as ResultsTable
Modifier and Type
Field
Description
`protected ResultsTable`
ParticleAnalyzer.`rt`
Methods in ij.plugin.filter that return ResultsTable
Modifier and Type
Method
Description
`static ResultsTable`
Analyzer.`getResultsTable()`
Returns the default results table.
Methods in ij.plugin.filter with parameters of type ResultsTable
Modifier and Type
Method
Description
`static void`
Analyzer.`setResultsTable(ResultsTable rt)`
`static void`
ParticleAnalyzer.`setResultsTable(ResultsTable rt)`
Sets the ResultsTable to be used by the next ParticleAnalyzer instance.
`static void`
ParticleAnalyzer.`setSummaryTable(ResultsTable rt)`
Sets the ResultsTable to be used by the next ParticleAnalyzer instance for the summary.
Constructors in ij.plugin.filter with parameters of type ResultsTable
Modifier
Constructor
Description
``
`Analyzer(ImagePlus imp, int measurements, ResultsTable rt)`
Construct a new Analyzer using an ImagePlus object and private measurement options and a ResultsTable.
``
`Analyzer(ImagePlus imp, ResultsTable rt)`
Construct a new Analyzer using an ImagePlus object and a ResultsTable.
``
`ParticleAnalyzer(int options, int measurements, ResultsTable rt, double minSize, double maxSize)`
Constructs a ParticleAnalyzer using the default min and max circularity values (0 and 1).
``
`ParticleAnalyzer(int options, int measurements, ResultsTable rt, double minSize, double maxSize, double minCirc, double maxCirc)`
Constructs a ParticleAnalyzer.

## Uses of ResultsTable in ij.plugin.frame

Methods in ij.plugin.frame that return ResultsTable
Modifier and Type
Method
Description
`ResultsTable`
RoiManager.`multiMeasure(ImagePlus imp)`
This method measures the selected ROIs, or all ROIs if none are selected, on all the slices of a stack and returns a ResultsTable arranged with one row per slice.
`static ResultsTable`
RoiManager.`multiMeasure(ImagePlus imp, Roi[] rois, boolean appendResults)`

## Uses of ResultsTable in ij.text

Methods in ij.text that return ResultsTable
Modifier and Type
Method
Description
`ResultsTable`
TextPanel.`getOrCreateResultsTable()`
Returns the ResultsTable associated with this TextPanel, or attempts to create one and returns the created table.
`ResultsTable`
TextPanel.`getResultsTable()`
Returns the ResultsTable associated with this TextPanel, or null.
`ResultsTable`
TextWindow.`getResultsTable()`
Returns the ResultsTable associated with this TextWindow, or null.
Methods in ij.text with parameters of type ResultsTable
Modifier and Type
Method
Description
`void`
TextPanel.`setResultsTable(ResultsTable rt)`
Sets the ResultsTable associated with this TextPanel.